%define name gnome-find
%define version 1.0.2
%define release 2mdk

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Gnome-find is a graphical find utility
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.sourceforge.net/projects/gnome-find
Source: http://download.sourceforge.net/gnome-find/%{name}-%{version}.tar.bz2
Group: File tools
Requires: gtk+ >= 1.2.0 gnome-libs libglade
License: GPL
BuildRequires: gtk+ >= 1.2.0 gnome-libs-devel libglade-devel

%description
Gnome-find is a gnome-based graphical find utility.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure
make

%install
%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gnome-find"\
title="Gnome-Find"\
longtitle="File searching tool"\
needs="x11"\
section="Applications/File tools"
EOF
) 

%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%{_bindir}/*
%{_datadir}/gnome-find/*
%{_datadir}/gnome/help/gnome-find/C/*
%{_libdir}/menu/*
%lang(de) /usr/share/locale/de/LC_MESSAGES/*
%lang(ru) /usr/share/locale/ru/LC_MESSAGES/*
%lang(ko) /usr/share/locale/ko/LC_MESSAGES/*
%lang(es) /usr/share/locale/es/LC_MESSAGES/*
%{_mandir}/man1/*

%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO

%changelog
* Thu Jul 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-2mdk
- rebuild

* Mon Feb 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.2-1mdk
- put a new and shiny package for general consumption.

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-3mdk 
- rebuild

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-2mdk
- menu
- added %lang

* Thu Jul 20 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.0.1-1mdk
- new version
- new macros
- big move for FHS compliance

* Fri Jun 30 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.6-1mdk
- first release for mandrake


